Subject: bug#62156: closed (Re: bug#62156: [PATCH 0/1] gnu: Add atftp.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 27 Mar 2023 16:50:02 +0000

Your bug report

#62156: [PATCH 0/1] gnu: Add atftp.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62156: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62156
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62156: [PATCH 0/1] gnu: Add atftp.
From: Ludovic Courtès <[email-masked]>
To: Felix Lechner <[email-masked]>
Cc: Sergey Trofimov <[email-masked]>, [email-masked]
Date: Mon, 27 Mar 2023 18:49:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Felix Lechner <[email-masked]> skribis:

> * gnu/packages/networking.scm (atftp): New variable.
>
> Thanks to Josselin Poiret and Bruno Victal for their generous and detailed
> reviews of this item!

I tweaked the description (to start with a full sentence) and passed it
through ‘guix style’.

> For the atftp package added in the preceeding commit, lint produced this
> warning:
>
>   gnu/packages/networking.scm:2924:5: [email-masked]:
>     URI https://git.code.sf.net/p/atftp/code not reachable:
>       404 ("Not Found")
>
> Thanks to Sergey Trofimov for suggesting a fix! [1]
>
>   [1]  https://issues.guix.gnu.org/62156#3
>
> It was implemented here, and the warning disappeared.
>
> * guix/lint.scm (check-source): Append "/info/refs" to git-reference-url.
>
> Co-authored-by: Sergey Trofimov <[email-masked]>

Nice.  I adjusted ‘tests/lint.scm’ accordingly.

Applied both; thank you, and thanks to the reviewers!

Ludo’.

Subject: [PATCH 0/1] gnu: Add atftp.
From: Felix Lechner <[email-masked]>
To: [email-masked]
Cc: Felix Lechner <[email-masked]>
Date: Sun, 12 Mar 2023 21:41:38 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I am not sure whether the mirror:// URL is right. It works, but there are two
lint warnings:

gnu/packages/networking.scm:2946:15: [email-masked]: URI https://www.gnu.org/software/atftp/ not reachable: 404 ("Not Found")
gnu/packages/networking.scm:2921:12: [email-masked]: source not archived on Software Heritage and missing from the Disarchive database

Kind regards,
Felix Lechner

* * *

Felix Lechner (1):
  gnu: Add atftp.

 gnu/packages/networking.scm | 41 +++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

base-commit: 9584b1daa687d1212550841d1c5f62e7ffa44ffc
-- 
2.39.1